=== debian/changelog ===
datalad (1.2.1-1) unstable; urgency=medium

  * Recent upstream release
  * Fix statement of minimal python version for binary package to be 3.9
    and thus remove optional dependency on python3-importlib-resources
    (Closes: #1111806)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 22 Aug 2025 08:59:42 -0400
