=== debian/control ===
Source: datalad
Maintainer: NeuroDebian Team <team@datalad.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
               help2man,
               patool,
               7zip (>= 23.01+dfsg-4~) | p7zip-full,
               python3 (>= 3.9),
               python3-all,
               python3-annexremote,
               python3-argcomplete (>= 1.12.3),
               python3-boto3,
               python3-dateutil,
               python3-distro,
               python3-fasteners (>= 0.14~),
               python3-gitlab,
               python3-html5lib,
               python3-httpretty,
               python3-humanize,
               python3 (>= 3.10) | python3-importlib-metadata (>= 3.6~),
               python3-iso8601,
               python3-keyring,
               python3-keyrings.alt | python3-keyring (<= 8),
               python3-msgpack,
               python3-pytest (>= 7.0),
               python3-packaging,
               python3-platformdirs,
               python3-pyperclip,
               python3-requests,
               python3-secretstorage,
               python3-setuptools,
               python3-tqdm (>= 4.32.0),
               python3-typing-extensions (>= 3.10.0.2~),
               python3-vcr,
Build-Conflicts: git-annex (= 8.20200226-1)
Standards-Version: 4.4.1
Vcs-Browser: https://github.com/datalad/datalad/
Vcs-Git: https://github.com/datalad/datalad.git -b debian
Homepage: https://datalad.org

Package: datalad
Architecture: all
Section: science
Depends: python3-datalad (= ${binary:Version}),
         python3-argcomplete (>= 1.12.3),
         ${misc:Depends},
         ${python3:Depends}
Suggests: datalad-container,
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
    separate files/directories (add, get)

Package: python3-datalad
Architecture: all
Section: python
Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
         patool,
         7zip (>= 23.01+dfsg-4~) | p7zip-full,
         python3 (>= 3.9),
         python3-annexremote,
         python3-boto3,
         python3-distro,
         python3-fasteners (>= 0.14~),
         python3-gitlab,
         python3-humanize,
         python3 (>= 3.10) | python3-importlib-metadata (>= 3.6~),
         python3-iso8601,
         python3-keyring,
         python3-keyrings.alt | python3-keyring (<=8),
         python3-msgpack,
         python3-platformdirs,
         python3-requests (>=1.2),
         python3-secretstorage,
         python3-typing-extensions (>= 3.10.0.2~),
         python3-tqdm (>= 4.32.0),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-html5lib,
            python3-httpretty,
            python3-pytest (>= 7.0),
            python3-pyperclip,
            python3-vcr,
Suggests: python3-duecredit,
          datalad-container,
          python3-bs4,
          python3-numpy,
Breaks: datalad-container (<< 1.1.2)
Provides: ${python3:Provides}
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
    separate files/directories (add, get)
 .
 This package installs the module for Python 3, and Recommends install
 all dependencies necessary for searching and managing datasets, publishing,
 and testing.  If you need base functionality, install without Recommends.
