## datalad 1.3.1

=== debian/changelog ===
datalad (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1123380
  * Migrate to Debian Python team
  * debhelper-compat (= 13)
  * d/watch: version=5
  * Standards-Version: 4.7.3 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not parse d/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Fri, 06 Feb 2026 06:45:23 +0100
