=== debian/control ===
Source: datalad
Standards-Version: 4.7.3
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
 Michael Hanke <mih@debian.org>,
Section: science
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 git-annex | git-annex-standalone (>= 8.20200309~),
 help2man,
 patool,
 7zip (>= 23.01+dfsg-4~) | p7zip-full,
 python3,
 python3-all,
 python3-annexremote,
 python3-argcomplete,
 python3-boto3,
 python3-dateutil,
 python3-distro,
 python3-fasteners,
 python3-gitlab,
 python3-html5lib,
 python3-httpretty,
 python3-humanize,
 python3 | python3-importlib-metadata,
 python3-iso8601,
 python3-keyring,
 python3-keyrings.alt,
 python3-msgpack,
 python3-pytest,
 python3-packaging,
 python3-platformdirs,
 python3-pyperclip,
 python3-requests,
 python3-secretstorage,
 python3-setuptools,
 python3-tqdm,
 python3-typing-extensions,
 python3-vcr,
Build-Conflicts:
 git-annex (= 8.20200226-1),
Vcs-Browser: https://salsa.debian.org/python-team/packages/datalad
Vcs-Git: https://salsa.debian.org/python-team/packages/datalad.git
Homepage: https://datalad.org

Package: datalad
Architecture: all
Depends:
 python3-datalad (= ${binary:Version}),
 python3-argcomplete,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 datalad-container,
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
    separate files/directories (add, get)

Package: python3-datalad
Architecture: all
Section: python
Depends:
 git-annex | git-annex-standalone (>= 8.20200309~),
 patool,
 7zip (>= 23.01+dfsg-4~) | p7zip-full,
 python3,
 python3-annexremote,
 python3-boto3,
 python3-distro,
 python3-fasteners,
 python3-gitlab,
 python3-humanize,
 python3 | python3-importlib-metadata,
 python3-iso8601,
 python3-keyring,
 python3-keyrings.alt,
 python3-msgpack,
 python3-platformdirs,
 python3-requests,
 python3-secretstorage,
 python3-typing-extensions,
 python3-tqdm,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-html5lib,
 python3-httpretty,
 python3-pytest,
 python3-pyperclip,
 python3-vcr,
Suggests:
 python3-duecredit,
 datalad-container,
 python3-bs4,
 python3-numpy,
Provides:
 ${python3:Provides},
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
    separate files/directories (add, get)
 .
 This package installs the module for Python 3, and Recommends install
 all dependencies necessary for searching and managing datasets, publishing,
 and testing.  If you need base functionality, install without Recommends.
