=== debian/watch ===
Version: 5

Template: Pypi
Dist: datalad
Uversion-Mangle: s/(rc|a|b|c)/~$1/
