## datalad crawler-0.7.0

=== requirements.txt ===
# TODO: add travis run, at least one or two for testing against master
# git+https://github.com/datalad/datalad.git
