=== docs/Makefile ===
--- 
+++ 
@@ -87,9 +87,9 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_gooey.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_metalad.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_gooey.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_metalad.qhc"
 
 applehelp:
 	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
@@ -104,8 +104,8 @@
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_gooey"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_gooey"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_metalad"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_metalad"
 	@echo "# devhelp"
 
 epub:
